import { useState, useEffect} from 'react';
import { connect } from '@umijs/max';
import { ConfigProvider } from 'antd';
import PagesMainActivityListTable from '@/components/Render/Main/Activity/List/table'
import PagesMainActivityListCreate from '@/components/Render/Main/Activity/List/create'

const ActivityListPage: React.FC = ({ dispatch, openModel }: any) => {
    const [id, setId] = useState<number>(0);
    const getId = (value: number) => {
        setId(value)
    }

    useEffect(() => {
        if(!openModel.openModal) {
            setId(0)
        }
    }, [openModel.openModal])

    return (
        <>
            <ConfigProvider
                theme={{
                    token: {
                        colorPrimary: '#4FBE70',
                    }
                }}
            >
                <PagesMainActivityListTable getId={getId}></PagesMainActivityListTable>
                <PagesMainActivityListCreate id={id}></PagesMainActivityListCreate>
            </ConfigProvider>
        </>
    );
};

export default connect(({  openModel }: any) => ({
    openModel
}))(ActivityListPage);

